<div class="container">
  <div class="card">
    <div class="card-header">
      <h3 class="text-center"><b>Formulario de Obras</b></h3>
    </div>
      <div class="card-body justify-content-center">
        <form class="mt-3 col-md-10 offset-md-3" (ngSubmit)="onSave()" [formGroup]="obraForm">
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Clave de obra </label>
              <input type="text" formControlName="clave" class="form-control" [class]="isValidField('clave')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Nombre de la obra </label>
              <input type="text" formControlName="nombre_obra" class="form-control" [class]="isValidField('nombre_obra')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Tipo de obra </label>
              <input type="text" formControlName="tipo_obra" class="form-control" [class]="isValidField('tipo_obra')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Direccion </label>
              <input type="text" formControlName="direccion" class="form-control" [class]="isValidField('direccion')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Municipio </label>
              <input type="text" formControlName="municipio" class="form-control" [class]="isValidField('municipio')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Estado </label>
              <input type="text" formControlName="estado" class="form-control" [class]="isValidField('estado')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Fecha de inicio </label>
              <input type="date" formControlName="f_inicio" class="form-control" [class]="isValidField('f_inicio')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Fecha de fin </label>
              <input type="date" formControlName="f_fin" class="form-control" [class]="isValidField('f_fin')">
            </div>
          </div>
          <div class="form-row" *ngIf="router.url === '/obra/edit'">
            <div class="form-group col-md-6">
              <label> Estatus de obra </label>
              <input type="text" formControlName="estatus_id" class="form-control" [class]="isValidField('estatus_id')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Monto de presupuesto </label>
              <input type="text" formControlName="monto_p" class="form-control" [class]="isValidField('monto_p')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Supervisor asignado </label>
              <select class="form-control form-select" formControlName="supervisor_id" [class]="isValidField('supervisor_id')">
                <option *ngFor="let item of $supervi | async" [ngValue]="item.nombre">{{item.nombre}} {{item.apat}} {{item.amat}} </option>
              </select>
            </div>
          </div>
          <div class="d-grid gap-2 col-8 mx-auto">
            <button class="btn btn-success btn-md-8">Guardar datos</button>
          </div>
        </form>
        <div class="row">
          <button type="button" class="btn btn-primary mt-2" (click)="onGoBackToList()">Regresar al listado</button>
        </div>
      </div>
  </div>
</div>
